# -*- encoding: utf-8 -*-

import os
from paste.script import templates
from paste.script.templates import var

RENOMMAGES = {'gitignore' : '.gitignore'}

class DjangoTemplate(templates.Template):
    egg_plugins = ['auf.skeleton.django']
    summary = 'Démarrer un nouveau projet Django avec Buildout'
    _template_dir = 'templates/django'
    use_cheetah = True

    vars = [
    ]

    def post(self, command, output_dir, vars):
        for avant, apres in RENOMMAGES.items():
            avant = os.path.join(output_dir, avant)
            apres = os.path.join(output_dir, apres)
            os.rename(avant, apres)           
        print "----------------------------------------------------------------"
        print "Génération du projet terminée."
        print ""
        print "################### AVERTISSEMENTS #############################"
        print "* Assurez-vous d'avoir chargé votre environement virtuel"
        print "################################################################"
        print ""
        print "1 : cd %s (aller dans le nouveau projet)" % output_dir
        print "2 : python bootstrap.py (pour récupérer setuptools)"
        print "3 : bin/buildout -c devel.cfg (pour boostraper le projet Django)"
        print "----------------------------------------------------------------"
